//
//  WaveView.m
//
//  Created by KIMURA Hiroaki on 10/05/04.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import "WaveView.h"
#include "FMController.h"

@implementation WaveView

@synthesize array;

- (id)initWithFrame:(NSRect)rect
{
    self = [super initWithFrame:rect];

    return self;
}

- (void)drawRect:(NSRect)dirtyRect{
	
	
	[[NSColor whiteColor] set];
	NSRectFill([self bounds]);
	
	[[NSColor blackColor] set];
	
	if (array == NULL)
		return;
	
	

	double dif = NSWidth(dirtyRect) / (NUMBER_OF_ARRAY - 1.0);
	double x = 0.0;
	NSBezierPath* path = [NSBezierPath bezierPath];
	
	for (int i = 0; i < NUMBER_OF_ARRAY; i++){
		NSPoint point = NSMakePoint(x, array[i] * NSHeight(dirtyRect) / 2.0 / 4.0 + NSHeight(dirtyRect) / 2);
		if (x == 0.0){
			[path moveToPoint:point];
		}else {
			[path lineToPoint:point];
		}
		x += dif;
	}
	
	[path stroke];
	
}


@end
